\name{plot_race}
\alias{plot_race}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Read a .c6v file}
\description{
  This function takes an rcl6 notebook dataframe and plots a map with all the entries shown as lines.
}
\usage{
plot_race(df, col="red" newcanvas=T)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{
    plot_race(DATAFRAME[, options])
}
}
\details{
  DATAFRAME	A dataframe with a CL6 notebook. Can be read in with readcl6() or html2df() functions.
  OPTIONS		Character coding conversion to be carried out by iconv(). Currently one of ASCII//TRANSLIT (default) or (UTF8). This argument is passed on to the iconv() "to=" argument.
}
\value{
  NA
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
  Matej Lexa
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
c6vfile <- system.file("/extdata","notebook.c6v",package="rcl6")
c6vdata <- readcl6(c6vfile)
plot_race(c6vdata, col="orange")

## The function is currently defined as
function(df,col="black", newcanvas=T) {
  plot_station(df, col="blue", newcanvas=newcanvas)
  plot_locator(df$locator_in, col=col, newcanvas=F)
  for(i in 1:length(df$id)) {
    plot_line(df[i,c(1,7)],col=col, newcanvas=F)
  }
}
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }% use one of  RShowDoc("KEYWORDS")
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
