\name{readcl6}
\alias{readcl6}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Read a .c6v file}
\description{
  This function reads a CB notebook saved in the .c6v format 
  used by the denikCL6 program. It returns a dataframe with 
  some .c6v columns (date and time, called station QTH) parsed into
  meaningful atomic data items (day, time, geographical location).
}
\usage{
readcl6(file, mode, date_from_header)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{
    readcl6(FILENAME, MODE, DATE_FROM_HEADER)
}
}
\details{
  FILENAME	A string with the full filename to be read in (path/filename)
  MODE		Character coding conversion to be carried out by iconv(). Currently one of ASCII//TRANSLIT (default) or (UTF8). This argument is passed on to the iconv() "to=" argument.
  DATE_FROM_HEADER		Whether dates are present or should be extracted from the header line.
}
\value{
  dataframe
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
  Matej Lexa
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.
c6vfile <- system.file("/extdata","notebook.c6v",package="rcl6")
c6vdata <- readcl6(c6vfile)
head(c6vdata)

## The function is currently defined as
function (file) 
{
    df <- read.table(file, sep = ";", header = F, skip = 1)
    colnames(df) <- c("locator_out", "id", "date_time", "report_out", 
        "qth_in", "report_in", "locator_in", "dist", "note")
    return(df)
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }% use one of  RShowDoc("KEYWORDS")
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
