collect_html2meta <- function(dir, mode="UTF8") {
  df <- data.frame(list(id=NA, expedition=NA, qth=NA, loc=NA, elevation=NA, beg=NA, end=NA, operators=NA, loggers=NA, trx=NA, ant=NA, mode=NA, freq=NA, note=NA, category=NA, cb_activity=NA, num=NA, km_total=NA, km_average=NA, num_seen=NA))
  names <- system(paste("ls", dir, sep=" "), intern=T)
  #names <- names[1:3]
  paste(dir,names[1],sep="")
  for(i in 1:length(names)) {
    print(i)
    meta <- html2meta(paste(dir,"/",names[i],sep=""))
    df <-rbind(df,meta)
  }
  return(df[2:length(names)+1,])
}
