html2df <- function(html, mode="UTF8") {
  #name <- stringr::str_remove(html,"/.+/")
  htmltext <- readLines(html)
  loc <- stringr::str_remove(stringr::str_remove(htmltext[grep("popisdata",htmltext)][2],"      <.+\'>"),"<.+td>")
  tmp <- stringr::str_remove(stringr::str_remove(stringr::str_remove(htmltext[grep("td",iconv(htmltext, from="WINDOWS-1250", to=mode))],"      <td.+\">"),"</.+td>"),"<.+>")
 if(length(tmp)>48) {
  tmp <- tmp[47:(length(tmp)-2)]
  len <- length(tmp)
  n <- len/7
  name <- rep(stringr::str_remove(html,"/.+/"),n)
  locator_out <- rep(loc,n)
  id <- 1:n
  note <- rep("",n)
  date_time <- rep(NA,n)
  report_out <- rep(NA,n)
  qth_in <- rep(NA,n)
  report_in <- rep(NA,n)
  locator_in <- rep(NA,n)
  dist <- rep(NA,n)
  for(i in 0:(n-1)) {
    date_time[i+1] <- tmp[7*i+2]
    report_out[i+1] <- tmp[7*i+3]
    qth_in[i+1] <- tmp[7*i+4]
    report_in[i+1] <- tmp[7*i+5]
    locator_in[i+1] <- tmp[7*i+6]
    dist[i+1] <- tmp[7*i+7]
  }
  date_time <- strftime(as.POSIXlt(as.character(date_time),format="[%d.%m.%Y] %H:%M:%OS", tz=""), usetz=F)
  return(data.frame
(locator_out,id,date_time,report_out,qth_in,report_in,locator_in,dist,note,name))
 }
}
