\name{plot_locator}
\alias{plot_locator}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Plot locators onto a map}
\description{
  This function plots a symbol onto a map (CZE and SVK by default)
  representing the geographical position of a Maidenhead grid locator
  (e.g. JN89GE) or a number of them present in a vector.
}
\usage{
plot_locator(locs)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{file}{
    plot_locator(LOCS[, OPTIONS])
}
}
\details{
  LOCS	A vector of Maidenhead grid locators of length 6
}
\value{
  NA
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
  Matej Lexa
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.
c6vfile <- system.file("/extdata","notebook.c6v",package="rcl6")
c6vdata <- readcl6(c6vfile)
plot_locator(c6vdata$locator_in, col="orange")

## The function is currently defined as
function (file) 
{
    df <- read.table(file, sep = ";", header = F, skip = 1)
    colnames(df) <- c("locator_out", "id", "date_time", "report_out", 
        "qth_in", "report_in", "locator_in", "dist", "note")
    return(df)
  }
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }% use one of  RShowDoc("KEYWORDS")
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
